{% extends 'general/base.html.twig' %}

{% block stylesheets %}{{parent()}}{% endblock %}

{% block title %}{{parent()}}Users{% endblock %}
{% block layoutTitle %}{{parent()}}- Users{% endblock %}

{% block body %}

    <table class="table" style="color:antiquewhite;">
        <thead>
            <tr>
                <th>Id</th>
                <th>Username</th>
                <th>Roles</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.username }}</td>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                <td>
                    {% if is_granted('ROLE_ADMIN') and 'ROLE_ADMIN' not in user.getRoles %}
                        {{ include('user/_delete_form.html.twig') }}
                    {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-danger" href="{{ path('user_new') }}">Create new</a>
{% endblock %}
